import request from '@/utils/request'

export function page (pageParam) {
  return request({
    url: '/tmerclub_admin/ma/notice/page',
    method: 'get',
    params: pageParam
  })
}

export function platformPage (pageParam) {
  return request({
    url: '/tmerclub_admin/ma/notice/p/pagePlatformNotice',
    method: 'get',
    params: pageParam
  })
}

export function get (id) {
  return request({
    url: '/tmerclub_admin/ma/notice',
    method: 'get',
    params: {
      id
    }
  })
}

export function save (data) {
  return request({
    url: '/tmerclub_admin/ma/notice',
    method: 'post',
    data
  })
}

export function update (data) {
  return request({
    url: '/tmerclub_admin/ma/notice',
    method: 'put',
    data
  })
}

export function deleteById (id) {
  return request({
    url: '/tmerclub_admin/ma/notice',
    method: 'delete',
    params: {
      id
    }
  })
}
